Gramps startet nicht Thema ist als GELÖST markiert

Hilfe bei der Installation von Manjaro Linux!
Antworten

Themen Author
Wolfgang.W
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 17
Registriert: Sonntag 20. Januar 2019, 15:43
CPU: 4 x AMD Sempron
GPU: GeForce GT 710
Kernel: 4.19.28-1
DE: DE
GPU Treiber: nouveau
Danksagung erhalten: 1 Mal

Gramps startet nicht

#1

#1 Beitrag von Wolfgang.W » Samstag 23. Februar 2019, 17:09

Hallo
seid dem letzten Manjaro update, startet Gramps nicht mehr.
Kann mir jemand dabei weiterhelfen ?

wolfgang@wolfgang-p ~]$ gramps
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Fatal Python error: initfsencoding: Unable to get the locale encoding
ModuleNotFoundError: No module named 'encodings'

Current thread 0x00007f0865c87600 (most recent call first):
Abgebrochen (Speicherabzug geschrieben)

vielen Dank :-)

Benutzeravatar

LQ
Forum Kenner
Forum Kenner
Beiträge: 188
Registriert: Donnerstag 5. Januar 2017, 05:43
GPU:
Kernel:
DE:
GPU Treiber:
Hat sich bedankt: 2 Mal
Danksagung erhalten: 25 Mal

Re: Gramps startet nicht

#2

#2 Beitrag von LQ » Sonntag 24. Februar 2019, 10:49

Wolfgang.W hat geschrieben:
Samstag 23. Februar 2019, 17:09
seid dem letzten Manjaro update, startet Gramps nicht mehr.
Versuche:

Code: Alles auswählen

pacman -Syu
pacman -S gramps
MfG


Themen Author
Wolfgang.W
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 17
Registriert: Sonntag 20. Januar 2019, 15:43
CPU: 4 x AMD Sempron
GPU: GeForce GT 710
Kernel: 4.19.28-1
DE: DE
GPU Treiber: nouveau
Danksagung erhalten: 1 Mal

Re: Gramps startet nicht

#3

#3 Beitrag von Wolfgang.W » Sonntag 24. Februar 2019, 12:09

Danke, hab ich gemacht:

[wolfgang@wolfgang-p ~]$ su
Passwort:
[wolfgang-p wolfgang]# pacman -Syu
:: Synchronisiere Paketdatenbanken...
core ist aktuell
extra ist aktuell
community ist aktuell
multilib ist aktuell
:: Starte vollständige Systemaktualisierung...
Es gibt nichts zu tun
[wolfgang-p wolfgang]# pacman -S gramps
Warnung: gramps-2:5.0.1-2 ist aktuell -- Reinstalliere
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (1) gramps-2:5.0.1-2

Gesamtgröße der installierten Pakete: 54,72 MiB
Größendifferenz der Aktualisierung: 0,00 MiB

:: Installation fortsetzen? [J/n] j
(1/1) Prüfe Schlüssel im Schlüsselring [##########################################################] 100%
(1/1) Überprüfe Paket-Integrität [##########################################################] 100%
(1/1) Lade Paket-Dateien [##########################################################] 100%
(1/1) Prüfe auf Dateikonflikte [##########################################################] 100%
(1/1) Überprüfe verfügbaren Festplattenspeicher [##########################################################] 100%
:: Verarbeite Paketänderungen...
(1/1) Installiere gramps [##########################################################] 100%
:: Starte post-transaction hooks...
(1/4) Updating icon theme caches...
(2/4) Arming ConditionNeedsUpdate...
(3/4) Updating the desktop file MIME type cache...
(4/4) Updating the MIME type database...
[wolfgang-p wolfgang]# gramps
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Fatal Python error: initfsencoding: Unable to get the locale encoding
ModuleNotFoundError: No module named 'encodings'

Current thread 0x00007f866fe2c600 (most recent call first):
Abgebrochen (Speicherabzug geschrieben)
[wolfgang-p wolfgang]#


Geht trotzdem nicht. Kannst Du mir weiter helfen ??

Benutzeravatar

gosia
Forum Held
Forum Held
Beiträge: 781
Registriert: Dienstag 24. Mai 2016, 13:33
CPU: Intel i5-3210M
GPU: Intel HD 4000
Kernel: 4.15
DE: Openbox
GPU Treiber: i915
Hat sich bedankt: 5 Mal
Danksagung erhalten: 84 Mal

Re: Gramps startet nicht

#4

#4 Beitrag von gosia » Sonntag 24. Februar 2019, 12:42

Hallo Wolfgang,
das hier
Wolfgang.W hat geschrieben:
Sonntag 24. Februar 2019, 12:09
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Fatal Python error: initfsencoding: Unable to get the locale encoding
ModuleNotFoundError: No module named 'encodings'
sieht aus, als ob die Python-Libraries nicht gefunden werden. Da könnte das Setzen von PYTHONHOME helfen

Code: Alles auswählen

export PYTHONHOME=/usr/local
wobei /usr/local hier nur ein Beispiel ist, das Du an deine Pfade anpassen musst.
https://docs.python.org/3/using/cmdline ... PYTHONHOME
Wäre aber nur ein Workaround, keine richtige Lösung.

viele Grüße gosia


Themen Author
Wolfgang.W
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 17
Registriert: Sonntag 20. Januar 2019, 15:43
CPU: 4 x AMD Sempron
GPU: GeForce GT 710
Kernel: 4.19.28-1
DE: DE
GPU Treiber: nouveau
Danksagung erhalten: 1 Mal

Re: Gramps startet nicht

#5

#5 Beitrag von Wolfgang.W » Sonntag 24. Februar 2019, 19:25

Hallo

Gibt es da keinen Befehl dafür, ich kann das Verzeichniss, die Datei Pythonhome nirgends finden.

Danke für die Mühe..


Themen Author
Wolfgang.W
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 17
Registriert: Sonntag 20. Januar 2019, 15:43
CPU: 4 x AMD Sempron
GPU: GeForce GT 710
Kernel: 4.19.28-1
DE: DE
GPU Treiber: nouveau
Danksagung erhalten: 1 Mal

Re: Gramps startet nicht

#6

#6 Beitrag von Wolfgang.W » Sonntag 24. Februar 2019, 19:40

Es läuft wieder, ich hab Python komplett neu installiert, vielen Dank für deine Hilfe.. :)

Antworten